# ezQuake Manual: Weapon View Model Settings Variables

## cl_bob

### Description

This variable controls how much your weapon moves up and down when walking.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.00

Variable is float.

## cl_bobcycle

### Description

This variable determines how quickly your weapon moves up and down when walking.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.0

Variable is float.

## cl_bobup

### Description

This variable controls how long your weapon stays up before cycling when walking.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.0

Variable is float.

## cl_filterdrawviewmodel

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Prevents r_drawviewmodel from being changed by servers like Rocket Arena.
0 | Off.

## r_drawviewmodel

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Do not display the weapon model.
0.5 | 50% transparented.
1 | Display the weapon model.

Note: Transparency works in GL only.

## r_viewmodeloffset

### Description

Moves the gun model to the right (positive value) or to the left (negative value). Good for people who like to see right/left-handed looking weapons.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is integer.
-10 to 10

## r_viewmodelSize

### Description

This allows you to change the size of the viewmodel (the model of your active weapon displayed on the center of your screen) a little, useful if you prefer to use "r_drawviewmodel 1" and higher fov values (for demos for example). For "fov 110" you could try "r_viewmodelscale 0.8" or 0.85 for example.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## r_viewpreselgun

### Description

Will show a gun that was picked as the best by weapon pre-selection.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Disaply the current pre-selected weapon
0 | Display the weapon you really hold

See cl_weaponpreselect and cl_weaponhide.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs